---
search:
  tags:
    - system
    - POST
seo:
  description: >-
    Reads the pack directory and verifies every pack again, for example…
    Reference for the POST /api/v1/packs/rescan endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Verify server packages
  badge: POST
title: Verify server packages
type: openapi-operation
---
Reads the pack directory and verifies every pack again, for example after a change of the trusted keys.

`POST /api/v1/packs/rescan`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "outdated": [
    {
      "arch": "amd64",
      "command": "string",
      "file": "string",
      "label": "string",
      "os": "debian",
      "os_version": "string",
      "release": "string",
      "servers": [
        "string"
      ]
    }
  ],
  "packs": [
    {
      "arch": "amd64",
      "components": [
        {
          "name": "string",
          "postgresql_major": "string",
          "version": "string"
        }
      ],
      "installed_on": {
        "servers": [
          "string"
        ],
        "services": [
          "string"
        ]
      },
      "kind": "base",
      "name": "string",
      "older_release": true,
      "os": "string",
      "os_version": "string",
      "pinned_by": [
        "string"
      ],
      "postgresql": [
        {
          "major": "string",
          "minor": "string",
          "timescaledb": [
            "string"
          ]
        }
      ],
      "reason": "string",
      "release": "string",
      "remove_loses_servers": [
        "string"
      ],
      "remove_refusal": "string",
      "size_bytes": 0,
      "verified": true
    }
  ],
  "release": "string",
  "release_missing": [
    {
      "arch": "amd64",
      "command": "string",
      "file": "string",
      "kind": "base",
      "label": "string",
      "os": "string",
      "os_version": "string",
      "servers": [
        "string"
      ]
    }
  ]
}
```
